Subject: Re: bug#52897: [PATCH] doc: Add instructions on upgrading the build daemon with doas.

From: jgart <[email-masked]>
Date: Thu, 7 Jul 2022 19:15:21 -0500

On Thu, 07 Jul 2022 14:27:47 -0400 Maxim Cournoyer <[email-masked]> wrote:
> Hello,
> 
> zimoun <[email-masked]> writes:
> 
> > Hi,
> >
> > On Fri, 31 Dec 2021 at 23:49, Morgan Smith <[email-masked]> wrote:
> >
> >> I've explicitly removed sudo from my machine as supposedly sudo is a
> >> large complex codebase that likely has bugs (although that's probably
> >> just openBSD propaganda).
> >
> > Guix documentation uniquely relies on ’sudo’.  And for instance, I was
> > not aware of such propaganda. :-)
> >
> > Well, I do not have an opinion, but AFAIK, Guix does not work on the top
> > of OpenBSD (yet! who knows if someone will not port a BSD kernel with a
> > GNU userland as Debian did some time ago [1] ;-))
> >
> > For me, it is a niche and for consistency, all the commands using ’sudo’
> > should also provide the ’doas’ way.  And I am not convinced the burden
> > is worth.  Well, I do not have an opinion.
> 
> I'm also not convinced it brings much, especially since Guix can't be
> used where 'doas' is likely to be encountered (BSDs).

FWIW, I use doas on Debian and alpine linux was considering replacing sudo with doas ;()

But, yes. This is low priority for me right now so that's fine to close it :)

I may experiment with doas in a guix channel instead.

ps

Here's the arch wiki page on doas:

https://wiki.archlinux.org/title/Doas

Some memey resources of questionable merit on doas:

https://www.techwarrant.com/alpine-linux-wants-to-replace-sudo-command-with-openbsds-doas/
https://invidious.projectsegfau.lt/watch?v=brXd12LstgA
https://invidious.nerdvpn.de/watch?v=A5buxcYXp7k